#include <iostream>

using namespace std;

int main()
{
  int N,K,p[20005];
  cin>>N>>K;
  for (int i=1; i<=N; i++)
  {
      cin>>p[i];
  }
  if (K==p[N])
  {
      cout<<p[1];
  }
  else
  {
      cout<<p[K+1];
  }
}